<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <style>
        #main {
            display: flex;
            justify-content: center;
            align-items: center;
            align-content: center;
            vertical-align: auto;

            border: 1px solid black;
            border-radius: 0.5em;
            background-color: cadetblue;
        }

        #main * {
            display: flex;
            flex-grow: 0;
        }
    </style>
</head>
<body>
    <div id="main">
        <h3>This content is not ready yet</h3>
    </div>
</body>
</html>